OptionItem (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.beans.OptionItem class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.beans
Class OptionItem

    java.lang.Object
      org.apache.struts.util.LabelValueBean
          org.hyperic.hq.ui.beans.OptionItem

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class OptionItem

extends org.apache.struts.util.LabelValueBean
implements java.io.Serializable

This bean is for use with html:options.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.util.LabelValueBean
`CASE_INSENSITIVE_ORDER`

Constructor Summary
`OptionItem()`
`OptionItem(java.lang.String lab, java.lang.String val)`

Method Summary
`static java.util.List` | `createOptionsList(java.util.List lofs)` Create a list of OptionItems from a list of strings.

Methods inherited from class org.apache.struts.util.LabelValueBean
`compareTo, equals, getLabel, getValue, hashCode, setLabel, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OptionItem

    public OptionItem()

### OptionItem

    public OptionItem(java.lang.String lab,
                      java.lang.String val)

Method Detail

### createOptionsList

    public static java.util.List createOptionsList(java.util.List lofs)

  Create a list of OptionItems from a list of strings.

  Parameters:
    `lofs` - a java.util.List of Strings.
  Returns:
    A list of OptionItem objects with value and label set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.